variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "org_id" {
  type        = string
  description = "Organisation Id"
}

variable "user_name" {
  type = string
}

variable "name" {
  type = string
}

variable "description" {
  type    = string
  default = null
}

variable "with_secret" {
  type    = bool
  default = false
}

variable "access_token_type" {
  type    = string
  default = "ACCESS_TOKEN_TYPE_JWT"
}
